-- Customer specific once-script RWSN#30131.
--
-- (c) 2014 SG|facilitor bv
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xRWSN#301311.lst
SET DEFINE OFF

-- RWSN#30131 afmelden onafgemelde bezoekers van 31-12-2013 en ouder.
DECLARE
   CURSOR c_bez
   IS
      SELECT   bez_bezoekers_key, bez_afspraak_eind
        FROM   bez_bezoekers bb, bez_afspraak ba
       WHERE       bez_bezoekers_out IS NULL
               AND bb.bez_afspraak_key = ba.bez_afspraak_key
               AND TO_CHAR (ba.bez_afspraak_eind, 'YYYYMMDD') < '20140101';
BEGIN
   FOR rec_bez IN c_bez
   LOOP
      BEGIN
         UPDATE   bez_bezoekers
            SET   bez_bezoekers_out = rec_bez.bez_afspraak_eind
          WHERE   bez_bezoekers_key = rec_bez.bez_bezoekers_key;

         -- niet notificeren
         fac.trackaction (
            '#BEZOUT',
            rec_bez.bez_bezoekers_key,
            4,
            NULL,
            'Vertrek van bezoeker automatisch geregistreerd (BULK)'
         );
      END;
   END LOOP;

   COMMIT;
END;
/

BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
